CREATE TABLE gtg_hns_sequence_config (
    CONFIG_ID                NUMBER(18, 0),
    PARTITION_VALUE          VARCHAR2(400)    NOT NULL,
    FORMAT                   VARCHAR2(400),
    START_VALUE              NUMBER(20, 0),
    MAX_VALUE                NUMBER(20, 0),
    START_DATE               TIMESTAMP(6) ,
    END_DATE                 TIMESTAMP(6) ,
    USE_DATE                 TIMESTAMP(6) ,
    SEQUENCE_TYPE            VARCHAR2(400),
    SEQUENCE_NAME            VARCHAR2(400),
    OBJECT_TYPE              VARCHAR2(400),
    TABLE_NAME               VARCHAR2(400),
    COLUMN_NAME              VARCHAR2(400),
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CONFIG_ID                NUMBER(18, 0),
    PARTITION_VALUE          VARCHAR2(400)    NOT NULL,
    FORMAT                   VARCHAR2(400),
    START_VALUE              NUMBER(20, 0),
    MAX_VALUE                NUMBER(20, 0),
    START_DATE               TIMESTAMP(6) ,
    END_DATE                 TIMESTAMP(6) ,
    USE_DATE                 TIMESTAMP(6) ,
    SEQUENCE_TYPE            VARCHAR2(400),
    SEQUENCE_NAME            VARCHAR2(400),
    OBJECT_TYPE              VARCHAR2(400),
    TABLE_NAME               VARCHAR2(400),
    COLUMN_NAME              VARCHAR2(400),
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CONSTRAINT pk_gtg_hns_sequence_config PRIMARY KEY (CONFIG_ID, CONFIG_ID)
);
